#ifndef ProtoGenWrapper_DDbDiagTroubleCode_H
#define ProtoGenWrapper_DDbDiagTroubleCode_H

#include <string>

namespace ProtoGenWrapper
{
	class DDbDiagTroubleCode // @@@ Generic data wrapper
	{
	public:
		DDbDiagTroubleCode();
		~DDbDiagTroubleCode();

		void SetData(const std::string& data);
		std::string GetData() const;

	protected:
		std::string _data;
	};
}

#endif